#include <bits/stdc++.h>
#define X first
#define Y second
using namespace std;

typedef long long ll;
typedef unsigned long long ull;
typedef pair <int, int> pii;
typedef pair <ll, ll> pll;
void speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

const int maxn = 1e6 + 7;
int n;
int a[maxn];
std::vector<int> solve(std::vector<int> A)
{
    n = A.size();
    for(int i = 0;i < n;i++)
    {
        a[i] = A[i];
    }
    vector <int> ans;
    ans.push_back(n - 1);
    for(int i = 0;i < n - 1;i++)
    {
        ans.push_back(i);
    }
    return ans;
}

/*int main()
{
    int _n;
    cin >> _n;
    vector <int> _mazna;
    for(int i = 1;i <= _n;i++)
    {
        int x;
        cin >> x;
        _mazna.push_back(x);
    }
    vector <int> _c = solve(_mazna);
    for(auto w:_c)
    {
        cout << w << " ";
    }
    cout << endl;
}*/
